import http  from "../utils/http";


export const login = (params) => http({
	url:'/api/v1/UnionLogin',
	method:'POST',
	noToken:true,
	...params
})

export const getProductList = (params) => http({
	url:'/api/v1/VoucherList',
	method:'POST',
	...params
})

export const queryDetail = (params) => http({
	url:'/api/v1/product/detail',
	method:'POST',
	...params
})

export const getOrderList = (params) => http({
	url:'/api/v1/auth/order/list',
	method:'POST',
	...params
})

export const goPay = (params) => http({
	url:'/api/v1/auth/order/create',
	method:'POST',
	...params
})

export const queryOrderDetail = (params) => http({
	url:'/api/v1/auth/order/query',
	method:'POST',
	...params
})

export const deleteOrder = (params) => http({
	url:'/api/v1/auth/order/delete',
	method:'POST',
	...params
})

export const refundOrder = (params) => http({
	url:'/api/v1/auth/order/refund',
	method:'POST',
	...params
})


