//获取url后面拼接的参数
export const getQueryString = (name) => {
	let urlStr = window.location.href.split('?')[1]
	const urlSearchParams = new URLSearchParams(urlStr)
	const result = Object.fromEntries(urlSearchParams.entries())
	return name ? result[name] : result
}

 //是否iOS设备
export const isIOS = () => userAgent.indexOf('iPhone') > -1 || userAgent.indexOf('iPad') > -1;

 //是否Android设备
 export const isAndroid = () => userAgent.indexOf('Android') > -1;

 export const deepClone = (source) => {
	if (!source && typeof source !== "object") {
	  return source;
	}
	const targetObj = source.constructor === Array ? [] : {};
	Object.keys(source).forEach((keys) => {
	  if (source[keys] && typeof source[keys] === "object") {
		(targetObj)[keys] = deepClone(source[keys]);
	  } else {
		(targetObj)[keys] = source[keys];
	  }
	});
	return targetObj;
  }