### 目录以及文件说明
1. src作为项目源代码目录
2. src/static作为项目静态资源文件目录(图片，字体文件等，现只有图片文件)，打包时都是直接拷贝过来的，不会被编译
3. src/pages作为项目页面文件目录
4. src/api作为所有页面api接口目录
5. src/utils作为常用工具函数封装的目录  
**举例说明**
src/pages/ycnc代表邮储奶茶活动的模块，相对应的src/static/ycnc代表邮储奶茶对应的静态资源文件，src/api/ycnc.js代表所有的api接口   
### 打包特有文件说明
**@uni-helper/vite-plugin-uni-pages**  
uniapp的路由文件插件，默认自动扫描src/pages下的所有.vue文件为页面，然后自动构建生成pages.json  
[详情见](https://uni-helper.js.org/vite-plugin-uni-pages)  
**vite.config.js**  
vite打包配置文件，主要是一些插件  
**custom.pages.js**  
指定打包扫描的目录(默认 .src/pages)，以及需要打包的模块(例:ycnc)和指定特定模块的特定页面(需要显示指定.vue后缀,例:'ycnc/index.vue')  
**build.js**  
输出需要排除的模块以及模块的部分页面(这个很少用，必须清楚该模块各页面之间的业务情况再决定)  
**delete.js**  
打包后针对static拷贝多余的文件，再删除的插件脚本(vite使用的，详见vite.config.js)  

### 各个模块的说明  
ycnc 邮储奶茶活动  
xyyk 兴业半价优酷的活动  

